# $Id: smeserver-mod_deflate.spec,v 1.2 2013/05/26 20:26:01 unnilennium Exp $
# Authority: nocvs
# Name: Michel Van hees

Summary: SME server mod_deflate activation
%define name smeserver-mod_deflate
Name: %{name}
%define version 1.0
%define release 3
Version: %{version}
Release: %{release}%{?dist}
License: Freely distributable
Group: Apache
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-mod_deflate-1.0-patchDB.patch 
#%{name}-%{version}.patch.yyyymmddnn
BuildRoot: /var/tmp/e-smith-buildroot
BuildRequires:  e-smith-devtools
BuildArchitectures: noarch
Requires: smeserver-release >= 8
AutoReqProv: no

%changelog
* Sun May 26 2013 JP Pialasse <tests@pialasse.com> 1.0-3.sme
- migrating default db to right place, cleaning spec [SME: 7624]
- Patch0

* Mon Jul 16 2007 Michel Van hees <michel@vanhees.cc>
- Thanks to Sylvain Gomez that correct the uninstall script

* Wed Jun 14 2006 Michel Van hees <michel@vanhees.cc>
- start developpement

%description
Activate mod_deflate on smeserver

%prep
%setup
%patch0 -p1
#%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre
%preun
%post
%postun
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
